Introduction

 Return to Introduction

Use this document if you've downloaded Lertap as a 'zip' file from one source or another; in March, 2010, a convenient download source was:

www.quia.com/pages/lnelson11/lertap

It's assumed that you have an idea of what Lertap is, and what it can do. If this is not the case, please refer to www.lertap.curtin.edu.au.

At 31 March 2010, there were Lertap versions for Excel 2003, Excel 2007, and Excel 2010.

· The zip file for the Excel 2003 version is called LRTP564StandardVersion.zip. This version will only work with Excel 2002 or Excel 2003.

· The zip file for the Excel 2007 version is called LRTP580StandardVersion.zip. It will work with Excel 2007 or Excel 2010.

· The zip file for the Excel 2010 version is called LRTP581StandardVersion.zip. It will only work with Excel 2010.

If you're not sure which version of Excel you have, take a look at this document:

www.lertap.curtin.edu.au/Documentation/Excel2003and2007Appearance1.htm

Note that Lertap also runs on Macintosh computers, providing they run either Excel X or Excel 2004 (Lertap will not work with Excel 2008). To find out more about Mac Lertap, write to the address seen below.

Please direct questions or comments to: support@lertap.com.

Last update: 9 April 2010.


Limitations

A Lertap zip file is free, and has all of the features found in the commercial versions available from Assessment Systems Corporation (but see Note below).

Lertap zip files may be used on any Windows computer, and may be copied to other computers without problem. But the Lertap zip files will not run forever. They usually time out at a certain date. You can see when they're due to expire by visiting the URL seen on the 'Downloading' page.

The Lertap zip files have been made available particularly to support students and their instructors. As such, expiry dates are usually set to coincide with the end of an academic period in North America (for example, 31 May, 15 August, 20 December). There will generally be two or three months when downloads are not available.

Versions of Lertap which will run forever may be obtained, at bargain-basement cost, from Assessment Systems Corporation: www.assess.com. (Students may purchase Lertap for under US$100, less than the cost of many new textbooks. Academics may purchase Lertap for under $200, and then install it on up to three computers.)

Note: while saying that the Lertap zips have all the features of the commercial versions, it should be pointed out that the commercial versions come with a professional installation and setup program. The Lertap zips do not. Refer to the Configuring topic for information on how you might spruce up access to the several Lertap files contained within a zip.


Downloading

The currently available set of Lertap zip files may be seen at this URL:

www.quia.com/pages/lnelson11/lertap

It is sometimes (rarely) necessary to obtain a password in order to access this URL. If you're asked for a password, please write to support@lertap.com and, when we return from fishing, we'll write back, most likely with the password.

When you write, be sure to give your full name, and the name of the place where you work or study. Also, please provide the URL for the place where you work or study.

Example:

Larry Nelson

Staff member

School of Education

Curtin University

Western Australia

www.curtin.edu.au

Please note: it would be terrific to hear from you even if you are able to download without providing this information. Feedback from users fuels the Lertap project -- the more we know about who is using Lertap and where they are, the keener we are to keep the project rolling along, adding enhancements, and bragging to our bosses.


File list

Typical files within a Lertap zip

The screen snapshot below was made on a computer running Windows 7. It displays a list of the files found within LRTP580standard.zip as at 30 March 2010.

The components of the actual Lertap software system are the files named Lertap5.xlsm, Lertap5MacroSetA.xlam, and LertapRibbon.xlam.

Lertap5.xlsm is the 'big mama' of the show, the 'king pin', the boss, el jefe. When you're on the bus or train, and hear excited people talking about running Lertap, they're speaking about using the Lertap5.xlsm file with Excel.

When the Lertap5.xlsm file is opened with Excel, it automatically tells Excel to bring in the two other files, Lertap5MacroSetA.xlam, and LertapRibbon.xlam.

Documentation consists of the user manual, Lertap5UserManual.pdf, and the built-in help system, 'Lelp'. Lelp comes in two formats, a complied Windows help file, LRTP57HHelp.chm, and a pdf equivalent, LRT57HHelp.pdf. Lelp is also available on-line; you can admire it here:

lertap.curtin.edu.au/HTMLHelp/HTML/index.html

The manual was written in the year 2000, and (horror of horrors), it has not yet been updated. But it's still a very good read, and an easy one -- it is absolutely the best reference for understanding how Lertap works, and how its normal item and test statistics are computed.

Lelp has some beginning material in it (like the manual), but, more importantly, it is the only source of info for all the updates which have been made to Lertap since 2001 (such as the cheat checker, RSA, differential item functioning, DIF, and a zillion other features). When you're using Lertap, and ask for help by clicking Lelp, as shown below, the display which opens up is from the LRTP57HHelp.chm file.

The GettingGoingWithLertapForExcel2007.pdf file is short, but important. It has comments on how to start using Lertap, and points to other resources.

So much for the files typically found in a Lertap zip folder. Before these files can be properly used, they have to be unzipped, or extracted from the zip file.

How? Zip to the next topic and you'll see.


Extracting

Extracting from zip

A zip file is really a folder which contains two or more files that have been compressed to save space.

Before the files contained in a zip can be used, they must first be extracted from the zip folder. This is sometimes called 'unzipping'.

Have a look at this Windows Explorer screen, one which displays the names of seven files as found within the LRTP580standard.zip file:

This display was captured on a computer running Windows 7.

Note that there's an option to 'Extract all files' (it's towards the top of the display, next to Organize).

Click on 'Extract all files'. Windows 7 will display something like this:

Use the Browse option to change the Destination, that is, the folder where the unzipped files are to be placed. If the default Destination is okay, no need to use Browse. But: remember this Destination! Write it down somewhere.

For this example, the Destination was changed using Browse:

After clicking on the Extract button, Windows 7 displayed:

The files are now ready to use. The next chapter has more about configuring Windows so that it is a bit easier to access and open the files.

Don't have Windows 7? How to extract files with a computer using Windows Vista, or Windows XP?

Try right-clicking on the zip file. If the file is named, for example, LRTP580standard.zip, right-click on it and see if there's not an option to unzip or extract. If not, there should be an Open option -- try it; it could call in an unzipper automatically, and away you'll be. Otherwise, check with a friend, the internet, or local I.T. support people (if you have kids, they'll probably know what to do).


Configuring

Of all the Lertap files found in a typical zip file, the ones you'll usually want quick access to are these:

· Lertap5.xlsm (the Lertap program made for use with Excel)

· Lertap5UserManual.pdf (the very friendly user manual)

· LRTP57HHelp.pdf (describes features not mentioned in the manual)

This little chapter describes a variety of ways which might be used in order to quickly gain access to these files, without having to open the Windows Explorer.


Folder shortcut

Perhaps the simplest access speed cut would be to create a shortcut to the Lertap folder, the Destination seen in the Extracting topic.

Right-clicking on the folder, Lertap580 in this case, will produce a menu which has an option to 'Create shortcut'. Selecting this option will create a new file:

Right-click on the new file, 'Lertap580 - Shortcut', and select Cut. Go to the Desktop, right-click in an empty area, and select Paste:

Right-click on the shortcut, select Rename, and type in anything you want, such as 'Lertap':

Now a double-click on the 'Lertap' shortcut will open the Destination folder quick smart, after which any of the files in the folder may be activated with a double-click.

Double-click on Lertap5.xlsm, on one of the pdf files, or on the chm file, and away you'll be (double-clicking on the xlam files is not very useful, but will not cause any harm).


File shortcuts

Instead of making a folder shortcut on the desktop, you could open the Destination folder, right click on, say Lertap5.xlsm, and select 'Create shortcut'.

Then, right-click on the new shortcut, 'Cut', go to the desktop, right-click in an empty area, and select 'Paste'.

This is, of course, something which can be done for any file.


Start menu shortcuts

Have a look at this snapshot from a Windows 7 computer:

The Window 7 Start button has been clicked, and the 'All Programs' button selected.

Shortcuts to four of the Lertap files are shown under 'My Lertap'. (They may not look like shortcuts as they're missing the little arrow commonly seen on a shortcut icon, but they are, indeed, shortcuts.)

How was this done?

First, within the Destination folder, shortcuts were created for the four files.

Then, a new folder called 'My Lertap' was created within the special Windows 7 folder meant to contain Start Menu shortcuts to programs. On the computer used for this document, that folder was:

D:\ProgramData\Microsoft\Windows\Start Menu\Programs

(On most computers, the disc drive will be C:, not D:)

Next, the four shortcuts were cut from the Destination folder, and pasted into the new 'My Lertap' folder:

Easy peasy, and handy.

Is it possible to do the same with Windows Vista, and Windows XP? Probably. The trick is to find where Windows stores Start Menu shorcuts.


Windows 7 Task Bar

Of the many useful features in Windows 7, the capabilities of the Task Bar are especially noteworthy.

The Windows 7 Task Bar appears at the bottom of this screen capture. A right-click has been made on the Excel 2007 icon, and a gray column of file names has opened above the icon.

The 'Recent' list provides the names of files recently opened with Excel 2007. Any of these files may be 'Pinned' so that they always appear, something which is done by right-clicking on one of the 'Recent' files, and then selecting 'Pin to this list'.

Pinning files to a program icon on the Task Bar may be the fastest way to get access to that file. Some might say that saving shortcuts on the desktop is faster, but if this is done for lots of files the desktop becomes crowded.

What about those Lertap pdf files? They would be pinned to a PDF reader, such as Adobe. Once Adobe has been opened, its program icon will appear on the Task Bar. Once it's there, the icon itself can be pinned to the Task Bar via a right-click option, and, after that's done, pdf files can be opened, and then pinned to the program icon's file list.

Of all the configuration shortcuts mentioned in this document, pinning files to program icons is what we most use at Lertap Central.

Can the same be done with Windows Vista or Windows XP? No. Get Windows 7.